org.apache.sysds.runtime.matrix.data

## Class RandomMatrixGenerator

- java.lang.Object
- - org.apache.sysds.runtime.matrix.data.RandomMatrixGenerator

    public class RandomMatrixGenerator
    extends Object

### Nested Class Summary

Nested Classes
`static class` `RandomMatrixGenerator.PDF` Types of Probability density functions

### Constructor Summary

Constructors
Constructor and Description
`RandomMatrixGenerator()`
`RandomMatrixGenerator(RandomMatrixGenerator.PDF pdf, int r, int c, int blen, double sp)` Instantiates a Random number generator
`RandomMatrixGenerator(RandomMatrixGenerator.PDF pdf, int r, int c, int blen, double sp, double min, double max)` Instantiates a Random number generator
`RandomMatrixGenerator(RandomMatrixGenerator.PDF pdf, int r, int c, int blen, double sp, double min, double max, double mean)` Instantiates a Random number generator with a specific poisson mean
`RandomMatrixGenerator(String pdfStr, int r, int c, int blen, double sp, double min, double max)` Instantiates a Random number generator

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `init(RandomMatrixGenerator.PDF pdf, int r, int c, int blen, double sp, double min, double max)` Initializes internal data structures.
`void` `init(RandomMatrixGenerator.PDF pdf, int r, int c, int blen, double sp, double min, double max, double mean)` Instantiates a Random number generator with a specific poisson mean
`boolean` `isFullyDense()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RandomMatrixGenerator

    public RandomMatrixGenerator()

#### RandomMatrixGenerator

    public RandomMatrixGenerator(RandomMatrixGenerator.PDF pdf,
                                 int r,
                                 int c,
                                 int blen,
                                 double sp)

Instantiates a Random number generator

Parameters:
  `pdf` - probability density function
  `r` - number of rows
  `c` - number of columns
  `blen` - rows/cols per block
  `sp` - sparsity (0 = completely sparse, 1 = completely dense)

#### RandomMatrixGenerator

    public RandomMatrixGenerator(String pdfStr,
                                 int r,
                                 int c,
                                 int blen,
                                 double sp,
                                 double min,
                                 double max)

Instantiates a Random number generator

Parameters:
  `pdfStr` - probability density function
  `r` - number of rows
  `c` - number of columns
  `blen` - rows/cols per block
  `sp` - sparsity (0 = completely sparse, 1 = completely dense)
  `min` - minimum of range of random numbers
  `max` - maximum of range of random numbers

#### RandomMatrixGenerator

    public RandomMatrixGenerator(RandomMatrixGenerator.PDF pdf,
                                 int r,
                                 int c,
                                 int blen,
                                 double sp,
                                 double min,
                                 double max)

Instantiates a Random number generator

Parameters:
  `pdf` - probability density function
  `r` - number of rows
  `c` - number of columns
  `blen` - rows/cols per block
  `sp` - sparsity (0 = completely sparse, 1 = completely dense)
  `min` - minimum of range of random numbers
  `max` - maximum of range of random numbers

#### RandomMatrixGenerator

    public RandomMatrixGenerator(RandomMatrixGenerator.PDF pdf,
                                 int r,
                                 int c,
                                 int blen,
                                 double sp,
                                 double min,
                                 double max,
                                 double mean)

Instantiates a Random number generator with a specific poisson mean

Parameters:
  `pdf` - probability density function
  `r` - number of rows
  `c` - number of columns
  `blen` - rows/cols per block
  `sp` - sparsity (0 = completely sparse, 1 = completely dense)
  `min` - minimum of range of random numbers
  `max` - maximum of range of random numbers
  `mean` - the poisson mean

### Method Detail

#### isFullyDense

    public boolean isFullyDense()

#### init

    public void init(RandomMatrixGenerator.PDF pdf,
                     int r,
                     int c,
                     int blen,
                     double sp,
                     double min,
                     double max)

Initializes internal data structures. Called by Constructor

Parameters:
  `pdf` - probability density function
  `r` - number of rows
  `c` - number of columns
  `blen` - rows/cols per block
  `sp` - sparsity (0 = completely sparse, 1 = completely dense)
  `min` - minimum of range of random numbers
  `max` - maximum of range of random numbers

#### init

    public void init(RandomMatrixGenerator.PDF pdf,
                     int r,
                     int c,
                     int blen,
                     double sp,
                     double min,
                     double max,
                     double mean)

Instantiates a Random number generator with a specific poisson mean

Parameters:
  `pdf` - probability density function
  `r` - number of rows
  `c` - number of columns
  `blen` - rows/cols per block
  `sp` - sparsity (0 = completely sparse, 1 = completely dense)
  `min` - minimum of range of random numbers
  `max` - maximum of range of random numbers
  `mean` - the poisson mean

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`